% function G = makenhoodgraph(img)
Y = unique(img);
K = length(Y);
str_el = ones(3);
masks = cell(1,K);
num = zeros(1,K);
for i = 1:K
    masks{i} = img==Y(i);
end
D = zeros(K);
for i = 1:K
    for j = i+1:K
        D(i,j) = nnz(masks{i} & masks{j})/(num(i) + num(j));
    end
end
G = D;
% [n1,n2] = find(D>0.65);
% G = [n1 n2];













%%
% 
% 
% function G = makenhoodgraph(img)
% Y = unique(img);
% K = length(Y);
% str_el = ones(3);
% masks = cell(1,K);
% num = zeros(1,K);
% for i = 1:K
%     masks{i} = imdilate(bwperim(img==Y(i)),str_el);
%     num(i) = nnz(masks{i});
% end
% D = zeros(K);
% for i = 1:K
%     for j = i+1:K
%         D(i,j) = nnz(masks{i} & masks{j})/(num(i) + num(j));
%     end
% end
% G = D;
% % [n1,n2] = find(D>0.65);
% % G = [n1 n2];